Two GTK Versions

Peter Keller muzh at ihug.co.nz
Fri Feb 6 20:38:29 PST 2004


On Sat, 07 Feb 2004 02:49, John Green wrote:
> Hi,
>
> The BLFS book includes GTK+-1.2.10 and GTK+-2.2.4 but does not
> explain the relationship between them.  I had some apps that
> expect GTK-1 and some that expect GTK-2, so I installed
> GTK+-1.2.10 and GTK+-2.2.4, in that order.  Was that correct?
> A sentence or two to clarify the matter might help other puzzled
> and uncertain wanderers.
>
> John Green

I regard GTK+-1.x and GTK+-2.x as being two independent libraries, 
incompatible with each other.
I have installed them side-by-side in --prefix=/usr and am having no problems.  
Duting compiling, the various programmes seem to be finding the correct GTK+ 
version automatically.
Peter

-- 
This transmission is certified free of viruses as no Microsoft products
were used in its preparation or propagation.



More information about the blfs-support mailing list